CUDA Runtime API (PDF) - v11.0.207 (older) - Last updated June 29, 2020 - Send Feedback

## 6.13. cudaExternalSemaphoreWaitParams Struct Reference

## [Data types used by CUDA Runtime]

External semaphore wait parameters

### Public Variables

void * fence
cudaExternalSemaphoreWaitParams::@14::@15 fence
unsigned int flags
unsigned long long key
cudaExternalSemaphoreWaitParams::@14::@17 keyedMutex
unsigned int timeoutMs
unsigned long long value

### Variables

void * cudaExternalSemaphoreWaitParams::fence [inherited]

  Pointer to NvSciSyncFence. Valid if cudaExternalSemaphoreHandleType is of type cudaExternalSemaphoreHandleTypeNvSciSync.

cudaExternalSemaphoreWaitParams::@14::@15 cudaExternalSemaphoreWaitParams::fence [inherited]

  Parameters for fence objects

unsigned int cudaExternalSemaphoreWaitParams::flags [inherited]

  Only when cudaExternalSemaphoreSignalParams is used to signal a cudaExternalSemaphore_t of type cudaExternalSemaphoreHandleTypeNvSciSync, the valid flag is cudaExternalSemaphoreSignalSkipNvSciBufMemSync: which indicates that while waiting for the cudaExternalSemaphore_t, no memory synchronization operations should be performed for any external memory object imported as cudaExternalMemoryHandleTypeNvSciBuf. For all other types of cudaExternalSemaphore_t, flags must be zero.

unsigned long long cudaExternalSemaphoreWaitParams::key [inherited]

  Value of key to acquire the mutex with

cudaExternalSemaphoreWaitParams::@14::@17 cudaExternalSemaphoreWaitParams::keyedMutex [inherited]

  Parameters for keyed mutex objects

unsigned int cudaExternalSemaphoreWaitParams::timeoutMs [inherited]

  Timeout in milliseconds to wait to acquire the mutex

unsigned long long cudaExternalSemaphoreWaitParams::value [inherited]

  Value of fence to be waited on